import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import WarningIcon from '@material-ui/icons/Warning';
import IconButtonPopover from './IconButtonPopover';

<Meta title="Buttons/IconButtonPopover" component={IconButtonPopover} />

# IconButtonPopover
 
A combination of IconButton, Popover and Menu
    
<Preview>
  <Story name="default">
    <IconButtonPopover icon={<WarningIcon />} aria-label="settings">
        <div style={{ padding: 10 }}>
            This is an warning
        </div>
    </IconButtonPopover>
  </Story>
</Preview>